Subject: [bug#62712] [PATCH 0/2] Disable keyword expansion for Subversion downloads

From: Ludovic Courtès <[email-masked]>
Date: Thu, 20 Apr 2023 11:57:07 +0200

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> Christopher Baines <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Chris, should we get it built on qa.guix?  It’s on the order of 7K
>>> rebuilds per architecture since ‘texlive-bin’ is modified.
>>> Alternatively we can set up ci.guix for it, if you think it’s more
>>> appropriate resource-wise.
>>>
>>> WDYT?
>>
>> The data service comparison is available now which is good.
>>
>> The builds won't be submitted automatically since there's so many, but
>> I've shuffled the code around to allow manually submitting them, I'm
>> running the following command in a screen session on bayfront:
>>
>>   root@bayfront /var/lib/qa-frontpage# sudo -u qa-frontpage
>> /gnu/store/lv4014zwba44fzf035pafba228lypqyl-guix-qa-frontpage-0-7.53bd333/bin/guix-qa-frontpage
>> submit-issue-builds 62712 --priority=600
>
> This has now finished running (I don't exactly know when), so the
> package changes information on [1] is now showing up.
>
> All the x86_64-linux builds have already completed, and builds for other
> systems are happening.
>
> 1: https://qa.guix.gnu.org/issue/62712

Thanks a lot!

With ‘core-updates’ coming up, I’m not sure what the best strategy is.
The data at qa.guix should give us confidence, so perhaps we can rebase
it after the ‘core-updates’ merge and apply it at that point?

Ludo’.